Subject: Re: SLAAC on non-/64 networks

From: Alexandre Petrescu <[email-masked]>
Date: Mon, 7 Sep 2020 16:41:03 +0200

Hi,

Can now one see such
"inet6 2001:67c:12f4:2500:112::d322 prefixlen 112 autoconf"
in another BSD flavor, eg FreeBSD?

I am asking because with colleagues we work on drafts for such features
like but on linux.

Alex

Le 18/03/2018 à 18:36, Peter Hessler a écrit :
> On 2018 Mar 18 (Sun) at 17:08:16 +0100 (+0100), Alexandre Petrescu wrote:
> :I wanted to ask you: does this removal mean that now the system no longer
> :complains when receiving an RA with plen 65?
> :
> 
> Yes, exactly.  Example from a VM on my laptop:
> 
>   inet6 2001:67c:12f4:2500:112::d322 prefixlen 112 autoconf
> 
> :What else does this removal mean, in practice?
> :
> 
> It also means a shorter prefix length will be completely filled with
> random data, instead of only the finaly 64-bits of the address.
> 
>   inet6 2001:67c:12f4:5681:1273:8150:90bd:22ed prefixlen 56 autoconf
> 
> :Alex
> :
> :Le 17/03/2018 à 22:06, Fernando Gont a écrit :
> :> Folks,
> :>
> :> FYI, OpenBSD now ships with RFC7217 support, and in the process, they
> :> have removed the artificial /64 limit, and can do SLAAC on prefixes
> :> shorter and longer than /64 (say, /60, /32, etc.).
> :>
> :> Quite cool. -- but even if you disagree, I guess the "FYI" is still
> :> valuable. :-)
> :>
> :> P.S.: The reader might enjoy the commit message at:
> :> <https://cvsweb.openbsd.org/cgi-bin/cvsweb/src/sbin/slaacd/engine.c#rev1.22>
> :>   :-)
> :>
> :> Thanks!
> :>
> :> Cheers,
> :>
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>